LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 06-18-2016, 10:42 AM   #1
cellranking
Member
 
Registered: Jan 2016
Location: washington
Posts: 51

Rep: Reputation: Disabled
Question Yum update


hello
Room I did yum update try to patch the redhat box this message I got please help

[root@XXX]$yum update

---> Running transaction check
---> Package compat-xcb-util.x86_64 0:0.4.0-2.2.el6 will be installed
---> Package libepoxy.x86_64 0:1.2-3.el6 will be installed
---> Package libevdev.x86_64 0:1.4.5-2.el6 will be installed
---> Package libnl3.x86_64 0:3.2.21-8.el6 will be installed
---> Package libsmbios.x86_64 0:2.2.27-4.12.1.el6 will be updated
--> Processing Dependency: libsmbios = 2.2.27-4.12.1.el6 for package: python-smbios-2.2.27-4.12.1.el6.x86_64
---> Package libxshmfence.x86_64 0:1.2-1.el6 will be installed
---> Package mesa-libxatracker.x86_64 0:11.0.7-4.el6 will be installed
---> Package xcb-util-renderutil.x86_64 0:0.3.9-3.el6 will be installed
--> Finished Dependency Resolution
--> Running transaction check
---> Package kernel.x86_64 0:2.6.32-573.18.1.el6 will be erased
---> Package kernel-devel.x86_64 0:2.6.32-573.18.1.el6 will be erased
---> Package libsmbios.x86_64 0:2.2.27-4.12.1.el6 will be updated
--> Processing Dependency: libsmbios = 2.2.27-4.12.1.el6 for package: python-smbios-2.2.27-4.12.1.el6.x86_64
--> Finished Dependency Resolution
Error: Package: python-smbios-2.2.27-4.12.1.el6.x86_64 (@dell-omsa-indep)
Requires: libsmbios = 2.2.27-4.12.1.el6
Removing: libsmbios-2.2.27-4.12.1.el6.x86_64 (@dell-omsa-indep)
libsmbios = 2.2.27-4.12.1.el6
Updated By: libsmbios-2.2.27-1908.9058.el6.x86_64 (dell-omsa-indep)
libsmbios = 2.2.27-1908.9058.el6
Available: libsmbios-2.2.26-3.el6.i686 (epel)
libsmbios = 2.2.26-3.el6
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

Last edited by cellranking; 06-18-2016 at 10:50 AM.
 
Old 06-18-2016, 01:28 PM   #2
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 17,534

Rep: Reputation: 2622Reputation: 2622Reputation: 2622Reputation: 2622Reputation: 2622Reputation: 2622Reputation: 2622Reputation: 2622Reputation: 2622Reputation: 2622Reputation: 2622
i am guessing you have not read the cent wiki on third party repos
and did not install and configure "yum-priorites" plugin

https://wiki.centos.org/AdditionalRe...s/Repositories

the plugin
https://wiki.centos.org/PackageManag...Yum/Priorities
you have to configure this !!!

your issue is caused by conflicting packages from incompatible repos


also did you try the SOLUTION posted in that error ?
and use "skip broken"
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
after yum update, can't yum update yet, some error occured novelbean Linux - Newbie 5 04-03-2013 09:13 PM
fedora 12 `yum update -y` & ran out of space in my /var/yum/cache/directory. techknowtarded Linux - Newbie 7 08-13-2011 08:23 PM
how to update rhel 5 using centos yum updater without conflict with yum redhat plugin udayvikram Linux - Software 2 03-30-2010 09:15 AM
how to update rhel 5 using centos yum updater without conflict with yum redhat plugin udayvikram Linux - Newbie 1 03-29-2010 01:56 PM
erased yum.conf by forced yum-update in RHEL5.3, need help curiocurio Red Hat 3 04-21-2009 04:33 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 12:23 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration